summaryrefslogtreecommitdiffstats
path: root/mvn-phase-script.sh
diff options
context:
space:
mode:
Diffstat (limited to 'mvn-phase-script.sh')
-rwxr-xr-xmvn-phase-script.sh11
1 files changed, 10 insertions, 1 deletions
diff --git a/mvn-phase-script.sh b/mvn-phase-script.sh
index de55ebc..ab823bf 100755
--- a/mvn-phase-script.sh
+++ b/mvn-phase-script.sh
@@ -38,9 +38,15 @@ if [ -z "$SETTINGS_FILE" ]; then
exit 2
fi
-
+set +e
+if ! wget -O ${PROJECT_ROOT}/mvn-phase-lib.sh \
+ "$MVN_RAWREPO_BASEURL_DOWNLOAD"/org.onap.dcaegen2.utils/releases/scripts/mvn-phase-lib.sh; then
+ cp "${PROJECT_ROOT}"/scripts/mvn-phase-lib.sh "${PROJECT_ROOT}/mvn-phase-lib.sh"
+fi
source "${PROJECT_ROOT}"/mvn-phase-lib.sh
+cat "${PROJECT_ROOT}"/mvn-phase-lib.sh
+
# This is the base for where "deploy" will upload
# MVN_NEXUSPROXY is set in the pom.xml
@@ -105,6 +111,9 @@ install)
deploy)
echo "==> deploy phase script"
case $MVN_PROJECT_MODULEID in
+ scripts)
+ upload_files_of_extension "sh" "$MVN_PROJECT_MODULEID"
+ ;;
*)
# uncomment after we figure out how to use pypi. this command expects that the credentials are passed in
# settings.xml, and the URL and serverid are passed in from either oparent or dcaegen2's root pom